--- old/usr/src/uts/common/sys/socketvar.h	2015-08-09 12:48:10.036783174 +0300
+++ new/usr/src/uts/common/sys/socketvar.h	2015-08-09 12:48:10.046766054 +0300
@@ -46,6 +46,7 @@
 #include <sys/stream.h>
 #include <sys/t_lock.h>
 #include <sys/cred.h>
+#include <sys/pidnode.h>
 #include <sys/vnode.h>
 #include <sys/file.h>
 #include <sys/param.h>
@@ -244,6 +245,10 @@
 	struct sof_instance	*so_filter_top;		/* top of stack */
 	struct sof_instance	*so_filter_bottom;	/* bottom of stack */
 	clock_t			so_filter_defertime;	/* time when deferred */
+
+	/* pid list */
+	list_t			so_pid_list;
+	kmutex_t		so_pid_list_lock;
 };
 
 #define	SO_HAVE_DATA(so)						\
@@ -953,6 +958,9 @@
  * These types match those corresponding in the sonode structure.
  * This is not a published interface, and may change at any time.
  */
+
+#define	ADRSTRLEN (2 * sizeof (uint64_t) + 1)
+
 struct sockinfo {
 	uint_t		si_size;		/* real length of this struct */
 	short		si_family;
@@ -970,6 +978,11 @@
 	char		si_faddr_sun_path[MAXPATHLEN + 1];
 	boolean_t	si_faddr_noxlate;
 	zoneid_t	si_szoneid;
+	char		si_son_straddr[ADRSTRLEN];
+	char		si_lvn_straddr[ADRSTRLEN];
+	char		si_fvn_straddr[ADRSTRLEN];
+	uint_t		si_pn_cnt;
+	conn_pid_node_t	si_pns[1];
 };
 
 /*
